Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thing
Class Metrics

    java.lang.Object
      things.thing.Metrics

    public class Metrics

extends java.lang.Object

Metrics values.

Version:
  1.0

  Version History

       EPG - Initial - 26 FEB 07

Author:
  Erich P. Gatejen

Field Summary
`int` | `abort`
`int` | `cases` Case counts
`int` | `count` Integer counter.
`long` | `difference` Difference.
`int` | `exception`
`int` | `fail`
`int` | `inconclusive`
`long` | `millis` Time taken in milliseconds.
`int` | `pass`
`static Metrics` | `STOCK_Abort`
`static Metrics` | `STOCK_Exception`
`static Metrics` | `STOCK_Fail`
`static Metrics` | `STOCK_Inconclusive`
`static Metrics` | `STOCK_Pass` Stock instances for convenience.

Constructor Summary
`Metrics()` Default constructor.
`Metrics(int count, long millis, long difference, int cases, int pass, int fail, int inconclusive, int abort, int exception)` Full constructor.

Method Summary
`void` | `accumulate(Metrics metrics)` Accumulate.
`void` | `writeAsAttributes(Attributes attr)` Write as attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STOCK_Pass

    public static Metrics STOCK_Pass

  Stock instances for convenience.

### STOCK_Fail

    public static Metrics STOCK_Fail

### STOCK_Inconclusive

    public static Metrics STOCK_Inconclusive

### STOCK_Abort

    public static Metrics STOCK_Abort

### STOCK_Exception

    public static Metrics STOCK_Exception

### count

    public int count

  Integer counter.

### millis

    public long millis

  Time taken in milliseconds.

### difference

    public long difference

  Difference. A difference value. Use is up to the implementation.

### cases

    public int cases

  Case counts

### pass

    public int pass

### fail

    public int fail

### inconclusive

    public int inconclusive

### abort

    public int abort

### exception

    public int exception

Constructor Detail

### Metrics

    public Metrics()

  Default constructor.

### Metrics

    public Metrics(int count,
                   long millis,
                   long difference,
                   int cases,
                   int pass,
                   int fail,
                   int inconclusive,
                   int abort,
                   int exception)

  Full constructor.

  Parameters:
    `count` -
    `millis` -
    `difference` -
    `cases` -
    `pass` -
    `fail` -
    `inconclusive` -
    `abort` -
    `exception` -

Method Detail

### writeAsAttributes

    public void writeAsAttributes(Attributes attr)
                           throws ThingsException

  Write as attributes.

  Parameters:
    `attr` - where to the attributes.
  Throws:
    `ThingsExeption`
    `ThingsException`

### accumulate

    public void accumulate(Metrics metrics)

  Accumulate. Susceptible to overflow.

  Parameters:
    `metrics` - the metrics to add to this one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.